Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.graphics.ShadingObject Class Reference
Inheritance diagram for com.foxit.sdk.pdf.graphics.ShadingObject:

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
PDFObject | getPDFObject () throws com.foxit.sdk.PDFException
| Get the PDF object which represents the shading graphics object in PDF file. More...
Public Member Functions inherited from com.foxit.sdk.pdf.graphics.GraphicsObject
boolean | addClipPath (Path path, int fill_mode) throws com.foxit.sdk.PDFException
| Add a path for clipping. More...
boolean | addClipTextObject (TextObject textobject) throws com.foxit.sdk.PDFException
| Add text object for clipping. More...
boolean | clearClips ()
| Clear all clips. More...
GraphicsObject | clone ()
| Clone a new graphics object. More...
GraphicsObject | clone (GraphicsObjects src_graphicsobjects, GraphicsObjects dest_graphicsobjects)
| Clone a new graphics object. More...
boolean | equal (GraphicsObject other)
| Check if input object is equal to current object. More...
int | getBlendMode () throws com.foxit.sdk.PDFException
| Get the blend mode for transparent imaging model. More...
Path | getClipPath (int index) throws com.foxit.sdk.PDFException
| Get a path clip by index. More...
int | getClipPathCount ()
| Get the count of path clip. More...
int | getClipPathFillMode (int index) throws com.foxit.sdk.PDFException
| Get the fill mode of a path clip by index. More...
RectF | getClipRect ()
| Get clip rectangle. More...
TextObject | getClipTextObject (int index) throws com.foxit.sdk.PDFException
| Get the text object of a text clip by index. More...
int | getClipTextObjectCount ()
| Get the count of text clip. More...
ColorState | getColorState ()
| Get color state. More...
long | getFillColor ()
| Get the fill color. More...
float | getFillOpacity () throws com.foxit.sdk.PDFException
| Get the opacity value for painting operations other than stroking. More...
FormXObject | getFormXObject ()
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
GraphState | getGraphState ()
| Get graph state. More...
ImageObject | getImageObject ()
| Get the image graphics object if current graphics object represents an image object. More...
LayerNodeArray | getLayers (LayerTree layer_tree) throws com.foxit.sdk.PDFException
| Get all the layers which are associated with current graphics object. More...
MarkedContent | getMarkedContent ()
| Get marked content object. More...
Matrix2D | getMatrix () throws com.foxit.sdk.PDFException
| Get matrix. More...
PathObject | getPathObject ()
| Get the path graphics object if current graphics object represents a path object. More...
RectF | getRect ()
| Get the rectangle of current graphics object. More...
ShadingObject | getShadingObject ()
| Get the shading graphics object if current graphics object represents a shading object. More...
long | getStrokeColor ()
| Get the stroke color. More...
float | getStrokeOpacity () throws com.foxit.sdk.PDFException
| Get opacity value for stroke painting operations for paths and glyph outlines. More...
TextObject | getTextObject ()
| Get the text graphics object if current graphics object represents a text object. More...
int | getType ()
| Get the type of current graphics object. More...
boolean | hasTransparency ()
| Check whether current graphics object has transparency or not. More...
void | release ()
| Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object. More...
boolean | removeClipPath (int index) throws com.foxit.sdk.PDFException
| Remove a path clip by index. More...
boolean | removeClipTextObject (int index) throws com.foxit.sdk.PDFException
| Remove a text clip by index for clipping. More...
void | rotate (int angle)
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
void | setBlendMode (int blend_mode) throws com.foxit.sdk.PDFException
| Set the blend mode for transparent imaging model. More...
void | setClipRect (RectF clip_rect)
| Set clip rectangle. More...
void | setColorState (ColorState color_state) throws com.foxit.sdk.PDFException
| Set color state. More...
void | setFillColor (long color) throws com.foxit.sdk.PDFException
| Set the fill color. More...
void | setFillOpacity (float opacity) throws com.foxit.sdk.PDFException
| Set the opacity value for painting operations other than stroking. More...
void | setGraphState (GraphState graph_state) throws com.foxit.sdk.PDFException
| Set graph state. More...
void | setMatrix (Matrix2D matrix) throws com.foxit.sdk.PDFException
| Set matrix. More...
void | setStrokeColor (long color) throws com.foxit.sdk.PDFException
| Set the stroke color. More...
void | setStrokeOpacity (float opacity) throws com.foxit.sdk.PDFException
| Set opacity value for stroke painting operations for paths and glyph outlines. More...
boolean | transform (Matrix2D matrix, boolean need_transform_clippath)
| Transform current graphics object. More...

## Additional Inherited Members
Static Public Attributes inherited from com.foxit.sdk.pdf.graphics.GraphicsObject
static final int | e_BlendColor = 23
| Creates a color with the hue and saturation of the source color, and the luminosity of the backdrop color. More...
static final int | e_BlendColorBurn = 7
| Darkens backdrop color to reflect the source color. More...
static final int | e_BlendColorDodge = 6
| Brightens backdrop color to reflect source colors. More...
static final int | e_BlendDarken = 4
| Select darker one of backdrop and source colors. More...
static final int | e_BlendDifference = 10
| Subtracts the darker of the two constituent colors from lighter colors. More...
static final int | e_BlendExclusion = 11
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
static final int | e_BlendHardlight = 8
| Multiply or screens colors, depending on source color value. More...
static final int | e_BlendHue = 21
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
static final int | e_BlendLighten = 5
| Select lighter one of backdrop and source colors. More...
static final int | e_BlendLuminosity = 24
| Creates a color with the luminosity of the source color, and the hue and saturation of the backdrop color. More...
static final int | e_BlendMultiply = 1
| Multiply backdrop by source color values. More...
static final int | e_BlendNormal = 0
| Selecting source color and ignoring backdrop color. More...
static final int | e_BlendOverlay = 3
| Multiply or screens colors, depending on backdrop color value. More...
static final int | e_BlendSaturation = 22
| Creates a color with the saturation of the source color, and the hue and luminosity of the backdrop color. More...
static final int | e_BlendScreen = 2
| Multiply complements of backdrop by source color values, and then complement the result. More...
static final int | e_BlendSoftlight = 9
| Darkens or lightens colors, depending on source color value. More...
static final int | e_TypeAll = 0
| Represents all graphics object types, only used as filter.
static final int | e_TypeEmptyMarkedContent = 7
| Empty marked-content object.
static final int | e_TypeFormXObject = 5
| Form XObject graphics object.
static final int | e_TypeImage = 3
| Image graphics object.
static final int | e_TypeInlines = 6
| Inline graphics object.
static final int | e_TypePath = 2
| Path graphics object.
static final int | e_TypeShading = 4
| Shading graphics object.
static final int | e_TypeText = 1
| Text graphics object.

## Detailed Description

Shading graphics object is a kind of PDF graphics object, so class ShadingObject is derived from class GraphicsObject . It offers functions to get shading graphics object's data.

See also
  GraphicsObject

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.graphics.ShadingObject.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

Reimplemented from com.foxit.sdk.pdf.graphics.GraphicsObject.

## ◆ getPDFObject()

PDFObject com.foxit.sdk.pdf.graphics.ShadingObject.getPDFObject | ( |  | ) | throws com.foxit.sdk.PDFException

Get the PDF object which represents the shading graphics object in PDF file.

Returns
  A com.foxit.sdk.pdf.objects.PDFObject object. It would be a PDF dictionary or a PDF stream object. If there is any error, this function will return null.